User profiles
User profiles
The user profile object
Attributes
referrer_iduuid | nullIdentifier of the user that referred the user
user_iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
updated_atread-onlytimestamp with time zoneLast modification timestamp
avatartext | nullURL of the avatar image
emailtextEmail address of the user
first_week_contains_date1 | 4 | nullDay of January the first week of the year contains: 1, or 4 as in ISO 8601
ftsread-onlytsvectorFull text search index
languageLanguageLanguage of the user
last_login_attimestamp with time zone | nullTimestamp at which the user last logged in
nametext | nullName of the user
sourcetext | nullSource of the user
week_starts_onDay | nullFirst day of the week: 0 for Sunday or 1 for Monday
Related resources
Embed related resources in the response with the select parameter, for example select=*,calendar_event_notes(*). Resources related through more than one column need the column as a hint, like table!column(*).
calendar_event_notes(*)arrayThe calendar event notes referencing this user profile through calendar_event_notes.author_id.
calendar_events!creator_id(*)arrayThe calendar events referencing this user profile through calendar_events.creator_id.
organizations!referrer_id(*)arrayThe organizations referencing this user profile through organizations.referrer_id.
{
"referrer_id": "00000000-0000-0000-0000-000000000000",
"user_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.051Z",
"updated_at": "2026-10-30T22:27:57.051Z",
"avatar": "",
"email": "guest@example.com",
"first_week_contains_date": 0,
"language": "en-US",
"last_login_at": "2026-10-30T22:27:57.051Z",
"name": "Summer cottage",
"source": "",
"week_starts_on": 0
}curl -X GET "https://api.bookingmood.com/v1/user_profiles?limit=10&select=*,calendar_event_notes(*),calendar_events!creator_id(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List user profiles
Filters
referrer_idFilter<uuid | null>Identifier of the user that referred the user
user_idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
avatarFilter<text | null>URL of the avatar image
emailFilter<text>Email address of the user
first_week_contains_dateFilter<1 | 4 | null>Day of January the first week of the year contains: 1, or 4 as in ISO 8601
ftsFilter<tsvector>Full text search index
languageFilter<Language>Language of the user
last_login_atFilter<timestamp with time zone | null>Timestamp at which the user last logged in
nameFilter<text | null>Name of the user
sourceFilter<text | null>Source of the user
week_starts_onFilter<Day | null>First day of the week: 0 for Sunday or 1 for Monday
Responses
200A list of user profiles with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /user_profilescurl -X GET "https://api.bookingmood.com/v1/user_profiles?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"referrer_id": "00000000-0000-0000-0000-000000000000",
"user_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.051Z",
"updated_at": "2026-10-30T22:27:57.051Z",
"avatar": "",
"email": "guest@example.com",
"first_week_contains_date": 0,
"language": "en-US",
"last_login_at": "2026-10-30T22:27:57.051Z",
"name": "Summer cottage",
"source": "",
"week_starts_on": 0
}
]